<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionTakeMaterialToHandsSwitch Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/da3/class_action_take_material_to_hands_switch.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ActionTakeMaterialToHandsSwitch Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionTakeMaterialToHandsSwitch:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../dd/da3/class_action_take_material_to_hands_switch.png" usemap="#ActionTakeMaterialToHandsSwitch_map" alt=""/>
  <map id="ActionTakeMaterialToHandsSwitch_map" name="ActionTakeMaterialToHandsSwitch_map">
<area href="../../d1/d91/class_action_single_use_base.html" alt="ActionSingleUseBase" shape="rect" coords="0,0,208,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a229e76e0f07172be1b325a5f72949bb6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/da3/class_action_take_material_to_hands_switch.html#a229e76e0f07172be1b325a5f72949bb6">ActionTakeMaterialToHandsSwitch</a> ()</td></tr>
<tr class="separator:a229e76e0f07172be1b325a5f72949bb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6cbc2a60e06e31ce65bbc07a11b42e9"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/da3/class_action_take_material_to_hands_switch.html#af6cbc2a60e06e31ce65bbc07a11b42e9">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:af6cbc2a60e06e31ce65bbc07a11b42e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad69f6ef45a39a3c43dd1b68b56b915be"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/da3/class_action_take_material_to_hands_switch.html#ad69f6ef45a39a3c43dd1b68b56b915be">IsInstant</a> ()</td></tr>
<tr class="separator:ad69f6ef45a39a3c43dd1b68b56b915be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a39065ee9e55a4d3c006b51b668d24e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/da3/class_action_take_material_to_hands_switch.html#a9a39065ee9e55a4d3c006b51b668d24e">RemoveForceTargetAfterUse</a> ()</td></tr>
<tr class="separator:a9a39065ee9e55a4d3c006b51b668d24e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b5cb8399addf932ee6208a6dbd037f3"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/da3/class_action_take_material_to_hands_switch.html#a2b5cb8399addf932ee6208a6dbd037f3">UseAcknowledgment</a> ()</td></tr>
<tr class="separator:a2b5cb8399addf932ee6208a6dbd037f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a732f5018be85d7a4a23ef95407681f9b"><td class="memItemLeft" align="right" valign="top">override&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/da3/class_action_take_material_to_hands_switch.html#a732f5018be85d7a4a23ef95407681f9b">GetInputType</a> ()</td></tr>
<tr class="separator:a732f5018be85d7a4a23ef95407681f9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2906259965fada33745b246584679ea"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/da3/class_action_take_material_to_hands_switch.html#ae2906259965fada33745b246584679ea">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:ae2906259965fada33745b246584679ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a9d305337e7bc5e2054b2a18fb2c197"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/da3/class_action_take_material_to_hands_switch.html#a2a9d305337e7bc5e2054b2a18fb2c197">Start</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a2a9d305337e7bc5e2054b2a18fb2c197"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html#l00001">1</a> of file <a class="el" href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html">ActionTakeMaterialToHandsSwitch.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a229e76e0f07172be1b325a5f72949bb6" name="a229e76e0f07172be1b325a5f72949bb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a229e76e0f07172be1b325a5f72949bb6">&#9670;&#160;</a></span>ActionTakeMaterialToHandsSwitch()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionTakeMaterialToHandsSwitch::ActionTakeMaterialToHandsSwitch </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html#l00003">3</a> of file <a class="el" href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html">ActionTakeMaterialToHandsSwitch.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ae2906259965fada33745b246584679ea" name="ae2906259965fada33745b246584679ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2906259965fada33745b246584679ea">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionTakeMaterialToHandsSwitch::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html#l00034">34</a> of file <a class="el" href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html">ActionTakeMaterialToHandsSwitch.c</a>.</p>

</div>
</div>
<a id="af6cbc2a60e06e31ce65bbc07a11b42e9" name="af6cbc2a60e06e31ce65bbc07a11b42e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6cbc2a60e06e31ce65bbc07a11b42e9">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionTakeMaterialToHandsSwitch::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html#l00008">8</a> of file <a class="el" href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html">ActionTakeMaterialToHandsSwitch.c</a>.</p>

</div>
</div>
<a id="a732f5018be85d7a4a23ef95407681f9b" name="a732f5018be85d7a4a23ef95407681f9b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a732f5018be85d7a4a23ef95407681f9b">&#9670;&#160;</a></span>GetInputType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override ActionTakeMaterialToHandsSwitch::GetInputType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html#l00029">29</a> of file <a class="el" href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html">ActionTakeMaterialToHandsSwitch.c</a>.</p>

</div>
</div>
<a id="ad69f6ef45a39a3c43dd1b68b56b915be" name="ad69f6ef45a39a3c43dd1b68b56b915be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad69f6ef45a39a3c43dd1b68b56b915be">&#9670;&#160;</a></span>IsInstant()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionTakeMaterialToHandsSwitch::IsInstant </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html#l00014">14</a> of file <a class="el" href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html">ActionTakeMaterialToHandsSwitch.c</a>.</p>

</div>
</div>
<a id="a9a39065ee9e55a4d3c006b51b668d24e" name="a9a39065ee9e55a4d3c006b51b668d24e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a39065ee9e55a4d3c006b51b668d24e">&#9670;&#160;</a></span>RemoveForceTargetAfterUse()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionTakeMaterialToHandsSwitch::RemoveForceTargetAfterUse </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html#l00019">19</a> of file <a class="el" href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html">ActionTakeMaterialToHandsSwitch.c</a>.</p>

</div>
</div>
<a id="a2a9d305337e7bc5e2054b2a18fb2c197" name="a2a9d305337e7bc5e2054b2a18fb2c197"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a9d305337e7bc5e2054b2a18fb2c197">&#9670;&#160;</a></span>Start()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionTakeMaterialToHandsSwitch::Start </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html#l00057">57</a> of file <a class="el" href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html">ActionTakeMaterialToHandsSwitch.c</a>.</p>

</div>
</div>
<a id="a2b5cb8399addf932ee6208a6dbd037f3" name="a2b5cb8399addf932ee6208a6dbd037f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b5cb8399addf932ee6208a6dbd037f3">&#9670;&#160;</a></span>UseAcknowledgment()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionTakeMaterialToHandsSwitch::UseAcknowledgment </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html#l00024">24</a> of file <a class="el" href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html">ActionTakeMaterialToHandsSwitch.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/<a class="el" href="../../d1/d2a/_action_take_material_to_hands_switch_8c_source.html">ActionTakeMaterialToHandsSwitch.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dd/da3/class_action_take_material_to_hands_switch.html">ActionTakeMaterialToHandsSwitch</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
